Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.pkix.cmmf
Class CertRepContent

    java.lang.Object
      |
      +--org.mozilla.jss.pkix.cmmf.CertRepContent

All Implemented Interfaces:
  ASN1Value

public class CertRepContent
extends java.lang.Object
implements ASN1Value

A CMMF CertRepContent.

     CertRepContent ::= SEQUENCE {
          caPubs      [1] SEQUENCE SIZE (1..MAX) OF Certificate OPTIONAL,
          response    SEQUENCE of CertResponse }

See Also:
  `CertResponse`

Field Summary
`private byte[][]` | `caPubs`
`private SEQUENCE` | `response`
`static Tag` | `TAG`

Constructor Summary
`private` | `CertRepContent()`
`` | `CertRepContent(byte[][] caPubs)` Creates a new `CertRepContent`.
`` | `CertRepContent(byte[][] caPubs, SEQUENCE response)` Creates a new `CertRepContent`.
`` | `CertRepContent(SEQUENCE response)` Creates a new `CertRepContent`

Method Summary
`void` | `addCertResponse(CertResponse resp)` Adds another `CertResponse`.
`void` | `encode(java.io.OutputStream ostream)` Write this value's DER encoding to an output stream using its own base tag.
`void` | `encode(Tag implicitTag, java.io.OutputStream ostream)` Write this value's DER encoding to an output stream using an implicit tag.
`byte[][]` | `getCaPubs()` Returns the `caPubs` field, which is an array of DER-encoded X.509 Certificates.
`SEQUENCE` | `getResponse()` Returns the `response` field, which is a SEQUENCE of `CertResponse`
`Tag` | `getTag()` Returns the base tag for this type, not counting any tags that may be imposed on it by its context.
`static void` | `main(java.lang.String[] argv)`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### caPubs

    private byte[][] caPubs

### response

    private SEQUENCE response

### TAG

    public static final Tag TAG

Constructor Detail

### CertRepContent

    private CertRepContent()

### CertRepContent

    public CertRepContent(byte[][] caPubs,
                          SEQUENCE response)

  Creates a new `CertRepContent`.
  Parameters:
    `caPubs` - An array of DER-encoded X.509 Certificates. It may be null if the `caPubs` field is to be omitted.
    `response` - A SEQUENCE of `CertResponse` objects. Must not be null.

### CertRepContent

    public CertRepContent(byte[][] caPubs)

  Creates a new `CertRepContent`. The responses can be added later with `addCertResponse`.
  Parameters:
    `caPubs` - An array of DER-encoded X.509 Certificates, must not be null and must have at least one element.

### CertRepContent

    public CertRepContent(SEQUENCE response)

  Creates a new `CertRepContent`
  Parameters:
    `response` - A SEQUENCE of `CertResponse` objects. Must not be null.

Method Detail

### addCertResponse

    public void addCertResponse(CertResponse resp)

  Adds another `CertResponse`.

### getCaPubs

    public byte[][] getCaPubs()

  Returns the `caPubs` field, which is an array of DER-encoded X.509 Certificates. May return `null` if the field is not present.

### getResponse

    public SEQUENCE getResponse()

  Returns the `response` field, which is a SEQUENCE of `CertResponse`

### getTag

    public Tag getTag()

  Description copied from interface: `ASN1Value`
  Returns the base tag for this type, not counting any tags that may be imposed on it by its context.
  Specified by:
    `getTag` in interface `ASN1Value`

### encode

    public void encode(java.io.OutputStream ostream)
                throws java.io.IOException

  Description copied from interface: `ASN1Value`
  Write this value's DER encoding to an output stream using its own base tag.
  Specified by:
    `encode` in interface `ASN1Value`

### encode

    public void encode(Tag implicitTag,
                       java.io.OutputStream ostream)
                throws java.io.IOException

  Description copied from interface: `ASN1Value`
  Write this value's DER encoding to an output stream using an implicit tag.
  Specified by:
    `encode` in interface `ASN1Value`

### main

    public static void main(java.lang.String[] argv)

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD